import type { PKJ_TOOL, STYLE, STRATEGY, SSR_SERVER } from '@omni-door/utils';
import type { TPLS_ORIGIN_INITIAL, TPLS_INITIAL_RETURE } from './templates';
export declare type ResultOfDependencies = string[] | {
    add?: string[];
    remove?: string[];
};
export declare type InitOptions = {
    strategy: STRATEGY;
    projectName: string;
    initPath: string;
    configFileName?: string;
    git?: string;
    ts: boolean;
    test: boolean;
    eslint: boolean;
    prettier: boolean;
    commitlint: boolean;
    style: STYLE;
    stylelint: boolean;
    install: boolean;
    pkgtool?: PKJ_TOOL;
    isSlient?: boolean;
    ssrServer?: SSR_SERVER;
    tag?: string;
    tpls?: (tpls: TPLS_ORIGIN_INITIAL) => TPLS_INITIAL_RETURE;
    dependencies?: (dependecies_default: string[]) => ResultOfDependencies;
    devDependencies?: (devDependecies_default: string[]) => ResultOfDependencies;
    error?: (err: any) => any;
    success?: (results: any[]) => any;
};
export declare function $init({ strategy, projectName: project_name, initPath, configFileName, git, ts, test, eslint, prettier, commitlint, style, stylelint, install, tpls, pkgtool, isSlient, ssrServer, tag, dependencies: dependencies_custom, devDependencies: devDependencies_custom, error, success }: InitOptions): Promise<void>;
export default $init;
