"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_commitlint = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`${use_strict}\n\nconst Configuration = {\n  formatter: '@commitlint/format',\n  /*\n    * Any rules defined here will override rules from @commitlint/config-conventional\n    */\n  rules: {\n    'type-enum': [2, 'always', [\n      '[OMNI-DOOR]',\n      '[${project_name.toUpperCase()}]',\n      'feat',\n      'feature',\n      'fix',\n      'hotfix',\n      'docs',\n      'style',\n      'refactor',\n      'test',\n      'revert',\n      'update',\n      'upgrade',\n      'modify',\n      'merge',\n      'chore'\n    ]]\n  },\n  /*\n    * Functions that return true if commitlint should ignore the given message.\n    */\n  ignores: [\n    commit => {\n      const regExp = /^Merge branch.+/;\n      return regExp.test(commit);\n    }\n  ],\n  /*\n    * Whether commitlint uses the default ignore rules.\n    */\n  defaultIgnores: true\n};\n\nmodule.exports = Configuration;\n`";
exports.tpl_commitlint = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_commitlint, 'tpl');
