"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_eslint = void 0;
var utils_1 = require("@omni-door/utils");
var extends_typescript_1 = __importDefault(require("./extends_typescript"));
var extends_prettier_1 = __importDefault(require("./extends_prettier"));
var parser_typescript_1 = __importDefault(require("./parser_typescript"));
var plugins_typescript_1 = __importDefault(require("./plugins_typescript"));
var plugins_prettier_1 = __importDefault(require("./plugins_prettier"));
var rules_typescript_1 = __importDefault(require("./rules_typescript"));
var rules_typescript_false_1 = __importDefault(require("./rules_typescript_false"));
var rules_prettier_1 = __importDefault(require("./rules_prettier"));
var tpl = "`${use_strict}\n\nmodule.exports = {\n  env: {\n    'browser': true,\n    'es6': true\n  },\n  extends: [\n    'eslint:recommended'${alter('ts', 'extends_typescript')}${alter('prettier', 'extends_prettier')}\n  ],\n  globals: {\n    'Atomics': 'readonly',\n    'SharedArrayBuffer': 'readonly'\n  },${alter('ts', 'parser_typescript')}\n  parserOptions: {\n    ecmaFeatures: {\n      jsx: true\n    },\n    ecmaVersion: 2020,\n    sourceType: 'module',\n    project: './tsconfig.json'\n  },\n  plugins: [\n    'react'${alter('ts', 'plugins_typescript')}${alter('prettier', 'plugins_prettier')}\n  ],\n  rules: {\n    ${alter('ts', 'rules_typescript')}${alter('ts', 'rules_typescript_false', false)}\n    'no-console': ['error', { 'allow': ['warn', 'error', 'info'] }],\n    'semi': ['error', 'always'],\n    'prefer-spread': ['warn'],\n    'no-unused-vars': ['off'],\n    'no-extra-semi': ['warn'],\n    'quotes': ['error', 'single'],\n    'linebreak-style': ['warn', 'unix']${alter('prettier', 'rules_prettier')}\n  }\n};\n`";
exports.tpl_eslint = {
    tpl: tpl,
    extends_typescript: extends_typescript_1.default,
    extends_prettier: extends_prettier_1.default,
    parser_typescript: parser_typescript_1.default,
    plugins_typescript: plugins_typescript_1.default,
    plugins_prettier: plugins_prettier_1.default,
    rules_typescript: rules_typescript_1.default,
    rules_typescript_false: rules_typescript_false_1.default,
    rules_prettier: rules_prettier_1.default
};
exports.default = utils_1.tplEngineInit(exports.tpl_eslint, 'tpl');
