export { default as babel, tpl_babel } from './babel';
export { default as commitlint, tpl_commitlint } from './commitlint';
export { default as editor, tpl_editor } from './editor';
export { default as eslint, tpl_eslint } from './eslint';
export { default as eslintignore, tpl_ignore_eslint } from './ignore/eslintignore';
export { default as gitignore, tpl_ignore_git } from './ignore/gitignore';
export { default as prettierignore, tpl_ignore_prettier } from './ignore/prettierignore';
export { default as nextConfig, tpl_next_config } from './next/next-config';
export { default as nextDeclartion, tpl_next_d } from './next/next-d';
export { default as omni, tpl_omni } from './omni';
export { default as pkj, tpl_package } from './package';
export { default as postcss, tpl_postcss } from './postcss';
export { default as prettier, tpl_prettier } from './prettier';
export { default as readme, tpl_readme } from './readme';
export { default as readme_cn, tpl_readme_cn } from './readme/index.zh-CN';
export { default as stylelint, tpl_stylelint } from './stylelint';
export { default as tsconfig, tpl_tsconfig } from './tsconfig';
export { default as vscode, tpl_vscode_setting } from './vsc';
export { default as webpack, tpl_webpack } from './webpack';
export { default as source_index_reset, tpl_src_reset } from './source/reset';
export { default as source_app_page, tpl_src_app_page } from './source/app/page';
export { default as source_app_layout, tpl_src_app_layout } from './source/app/layout';
export { default as source_page_index, tpl_src_page_index } from './source/page/index';
export { default as source_page_app, tpl_src_page_app } from './source/page/_app';
export { default as source_component_index, tpl_src_component_index } from './source/component';
export { default as source_component_cp, tpl_src_component_cp } from './source/component/component';
export { default as source_component_style, tpl_src_component_style } from './source/component/style';
export { default as source_component_layout, tpl_src_component_layout } from './source/component/layout';
export { default as source_component_layout_style, tpl_src_component_layout_style } from './source/component/style-layout';
export { default as source_utils_mapctx, tpl_src_utils_mapctx } from './source/utils/mapCtxToProps';
export { default as source_utils_params, tpl_src_utils_params } from './source/utils/paramsToQueryString';
export { default as component_class, tpl_new_class } from './new/component_class';
export { default as component_functional, tpl_new_functional } from './new/component_functional';
export { default as component_index, tpl_new_index } from './new/index';
export { default as component_readme, tpl_new_readme } from './new/readme';
export { default as component_stylesheet, tpl_new_stylesheet } from './new/stylesheet';
export { default as component_test, tpl_new_test } from './new/test';
export { default as husky_commit_msg, tpl_husky_commit_msg } from './husky/commit-msg';
export { default as husky_pre_commit, tpl_husky_pre_commit } from './husky/pre-commit';
export { default as husky_pre_push, tpl_husky_pre_push } from './husky/pre-push';
export declare const tpls_init: {
    babel: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    commitlint: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    editor: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    eslint: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    eslintignore: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    gitignore: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    prettierignore: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    jest: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    nextConfig: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    nextDeclartion: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    omni: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    pkj: (type_react?: string) => (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    postcss: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    prettier: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    readme: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    readme_cn: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    stylelint: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    tsconfig: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    vscode: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    webpack: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_index_reset: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_app_page: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_app_layout: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_page_index: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_page_app: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_component_index: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_component_cp: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_component_style: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_component_layout: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_component_layout_style: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_utils_mapctx: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_utils_params: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    husky_commit_msg: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    husky_pre_commit: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    husky_pre_push: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
};
export declare const tpls_origin_init: {
    tpl_babel: {
        tpl: string;
    };
    tpl_commitlint: {
        tpl: string;
    };
    tpl_editor: {
        tpl: string;
    };
    tpl_eslint: {
        tpl: string;
        extends_typescript: string;
        extends_prettier: string;
        parser_typescript: string;
        plugins_typescript: string;
        plugins_prettier: string;
        rules_typescript: string;
        rules_typescript_false: string;
        rules_prettier: string;
    };
    tpl_ignore_eslint: {
        tpl: string;
    };
    tpl_ignore_git: {
        tpl: string;
    };
    tpl_next_config: {
        tpl: string;
    };
    tpl_next_d: {
        tpl: string;
    };
    tpl_jest: {
        tpl: string;
    };
    tpl_ignore_prettier: {
        tpl: string;
    };
    tpl_omni: {
        tpl: string;
    };
    tpl_package: {
        tpl: string;
        script_test: string;
        script_commitlint: string;
        script_prepare: string;
        script_lint: string;
        script_lint_es: string;
        script_lint_prettier: string;
        script_lint_style: string;
        field_commitlint: string;
        field_eslint: string;
        field_prettier: string;
        field_stylelint: string;
        commitlint: string;
        resolutions: string;
    };
    tpl_readme: {
        tpl: string;
    };
    tpl_readme_cn: {
        tpl: string;
    };
    tpl_postcss: {
        tpl: string;
    };
    tpl_prettier: {
        tpl: string;
    };
    tpl_stylelint: {
        tpl: string;
        extends_scss: string;
        extends_less: string;
        plugins_scss: string;
        plugins_less: string;
        rules_scss: string;
    };
    tpl_tsconfig: {
        tpl: string;
    };
    tpl_vscode_setting: {
        tpl: string;
    };
    tpl_webpack: {
        tpl: string;
    };
    tpl_src_reset: {
        tpl: string;
    };
    tpl_src_app_page: {
        tpl: string;
    };
    tpl_src_app_layout: {
        tpl: string;
    };
    tpl_src_page_index: {
        tpl: string;
    };
    tpl_src_page_app: {
        tpl: string;
    };
    tpl_src_component_index: {
        tpl: string;
    };
    tpl_src_component_cp: {
        tpl: string;
    };
    tpl_src_component_style: {
        tpl: string;
    };
    tpl_src_component_layout: {
        tpl: string;
    };
    tpl_src_component_layout_style: {
        tpl: string;
    };
    tpl_src_utils_mapctx: {
        tpl: string;
    };
    tpl_src_utils_params: {
        tpl: string;
    };
    tpl_husky_commit_msg: {
        tpl: string;
    };
    tpl_husky_pre_commit: {
        tpl: string;
    };
    tpl_husky_pre_push: {
        tpl: string;
    };
};
export declare type TPLS_INITIAL = {
    [T in keyof typeof tpls_init]: typeof tpls_init[T];
};
export declare type TPLS_ORIGIN_INITIAL = {
    [T in keyof typeof tpls_origin_init]: typeof tpls_origin_init[T];
};
export declare type TPLS_INITIAL_FN = TPLS_INITIAL[keyof TPLS_INITIAL];
export declare type TPLS_INITIAL_RETURE = Partial<TPLS_INITIAL>;
export declare const tpls_new: {
    component_class: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_functional: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_index: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_readme: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_stylesheet: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_test: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
};
export declare const tpls_origin_new: {
    tpl_new_class: {
        tpl: string;
    };
    tpl_new_functional: {
        tpl: string;
    };
    tpl_new_index: {
        tpl: string;
    };
    tpl_new_readme: {
        tpl: string;
    };
    tpl_new_stylesheet: {
        tpl: string;
    };
    tpl_new_test: {
        tpl: string;
    };
};
export declare type TPLS_NEW = {
    [T in keyof typeof tpls_new]: typeof tpls_new[T];
};
export declare type TPLS_ORIGIN_NEW = {
    [T in keyof typeof tpls_origin_new]: typeof tpls_origin_new[T];
};
export declare type TPLS_NEW_FN = TPLS_NEW[keyof TPLS_NEW];
export declare type TPLS_NEW_RETURE = Partial<TPLS_NEW>;
declare const _default: {
    component_class: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_functional: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_index: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_readme: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_stylesheet: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_test: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    babel: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    commitlint: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    editor: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    eslint: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    eslintignore: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    gitignore: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    prettierignore: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    jest: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    nextConfig: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    nextDeclartion: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    omni: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    pkj: (type_react?: string) => (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    postcss: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    prettier: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    readme: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    readme_cn: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    stylelint: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    tsconfig: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    vscode: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    webpack: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_index_reset: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_app_page: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_app_layout: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_page_index: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_page_app: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_component_index: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_component_cp: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_component_style: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_component_layout: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_component_layout_style: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_utils_mapctx: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_utils_params: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    husky_commit_msg: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    husky_pre_commit: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    husky_pre_push: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
};
export default _default;
